module Jekyll
  class AgeGenerator < Generator
    def generate(site)
      birth = Date.new(1996, 12, 28)
      delta = Date.today - birth

      site.data['my_age'] = Integer(delta / 365.25)
    end
  end
end
